## org.codehaus.groovy.grails.exceptions
Class GrailsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CompilationFailedException, ConstraintException, GrailsConfigurationException, GrailsDataSourceException, GrailsDomainException, GrailsHibernateException, GrailsMVCException, GrailsQueryException, GrailsRuntimeException, GrailsTagException, GrailsWrappedRuntimeException, GroovyPagesException, InvalidPropertyException, NewInstanceCreationException, RequiredPropertyMissingException, ScaffoldingException, UrlMappingException

    public abstract class GrailsException

extends RuntimeException

Base class for all Grails exceptions that are not recoverable.

Since:
  Jul 2, 2005
Author:
  Steven Devijver
See Also:
  Serialized Form

Constructor Summary
`GrailsException()`
`GrailsException(String arg0)`
`GrailsException(String arg0, Throwable arg1)`
`GrailsException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsException

    public GrailsException()

### GrailsException

    public GrailsException(String arg0)

### GrailsException

    public GrailsException(String arg0,
                           Throwable arg1)

### GrailsException

    public GrailsException(Throwable arg0)

Copyright (c) 2005-2009 The Grails project